# Uses of Interface
javax.xml.crypto.KeySelectorResult

Packages that use KeySelectorResult
Package
Description
javax.xml.crypto
Common classes for XML cryptography.
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.

## Uses of KeySelectorResult in javax.xml.crypto

Methods in javax.xml.crypto that return KeySelectorResult
Modifier and Type
Method
Description
`abstract KeySelectorResult`
KeySelector.`select​(KeyInfo keyInfo, KeySelector.Purpose purpose, AlgorithmMethod method, XMLCryptoContext context)`
Attempts to find a key that satisfies the specified constraints.

## Uses of KeySelectorResult in javax.xml.crypto.dsig

Methods in javax.xml.crypto.dsig that return KeySelectorResult
Modifier and Type
Method
Description
`KeySelectorResult`
XMLSignature.`getKeySelectorResult()`
Returns the result of the `KeySelector`, if specified, after this `XMLSignature` has been signed or validated.